<!-- <div class="module flat">
    <app-select
    *ngIf="drafts.length"
    [(ngModel)]="currentDraft"
    placeholder="Continuar borrador..."
    [options]="drafts"
    [list-template]="option"
    [selected-template]="selection"
    (onselect)="loadDraft($event)"></app-select>

    <ng-container *ngIf="draftLoading">
        <em class="loading">
            <app-loader [inline]="true" [grey]="true"></app-loader>
            {{currentDraft ? 'Actualizando' : 'Guardando'}} borrador...
        </em>
    </ng-container>
</div> -->

<!-- <ng-template #option let-draft>
    <div class="draft">
        <div class="data">
            <h6>{{draft.lastUpdated || draft.createdAt | date: 'medium'}}</h6>
            <p><strong *ngIf="draft.title">{{draft.title}}:</strong> {{draft.raw | slice:0:30}}...</p>
        </div>
        <div class="actions">
            <button title="Eliminar" (click)="removeDraft(draft.id, $event)"><i class="las la-trash"></i></button>
        </div>
    </div>
</ng-template> -->

<!-- <ng-template #selection let-draft>
    <div class="draft">
        <div class="data">
            <h6>{{draft.lastUpdated || draft.createdAt | date: 'medium'}}</h6>
            <p><strong *ngIf="draft.title">{{draft.title}}:</strong> {{draft.raw | slice:0:30}}...</p>
        </div>
    </div>
</ng-template> -->


<div class="module new-thread">

    <form [formGroup]="form" (submit)="submit()">

        <input
        *mrFormControl
        mrFormControlValidation
        type="text"
        name="title"
        class="input-title"
        placeholder="Título"
        formControlName="title">

        <textarea
        *mrFormControl
        mrFormControlValidation
        mrFormControlTypeLimit
        placeholder="Resumen"
        formControlName="summary"></textarea>

        <hr>

        <select
        *mrFormControl
        class="bordered"
        formControlName="format">
            <option [value]="formats.Rol">Formato {{formats.Rol}}</option>
            <option [value]="formats.Fanfic">Formato {{formats.Fanfic}}</option>
        </select>
        <p class="help"><i class="las la-question-circle"></i> El formato fanfic muestra sólo una respuesta por página.</p>

        <mr-editor
        *mrFormControl
        mrFormControlValidation
        [userFiles]="true"
        [toolbarButtons]="toolbar.FULL"
        formControlName="body"
        (fileChanges)="queuedFiles = $event" #body></mr-editor>

        <mr-multi-input
        formControlName="tags"
        placeholder="Escribe tu etiqueta y presiona ENTER"></mr-multi-input>

        <mr-switch
        formControlName="restricted"
        label="Restringir Participación"
        help="Si activas esta opción, solo podrán comentar las personas que tú invites."></mr-switch>

        <div class="footer-buttons">

            <a mr-button
            class="primary reverse"
            routerLink="/users/flamesofblue">
                Cancelar
            </a>

            <button mr-button
            [class.disabled]="form.invalid"
            [loading]="loading$ | async"
            type="submit"
            class="primary"
            title="Guardar">
                Guardar
            </button>

        </div>
    </form>

</div>
